package com.huimv.eartag2.manage.service;

import com.huimv.eartag2.common.utils.Result;

import java.text.ParseException;

public interface IDeviceService {
    //
    Result getNowAllStatus(String farmId) throws ParseException;

    //显示前N天记录
    Result listManyDaysAllStatus(String farmId, Integer days) throws ParseException;

    //显示在线设备
    Result listOnlineDevice(String farmId) throws ParseException;

    //
    Result getDeviceRegisterByDeviceCode(String deviceCode);

    //查询单个设备N天在线记录
    Result listDeviceOnlineCountByDeviceCode(String deviceCode, Integer pastDays,Integer showMode) throws ParseException;

    //查询设备在线状态
    Result listDeviceOnlineStatusByDeviceCode(String deviceCode, Integer pastDays) throws ParseException;
}
